<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.50
 */

$aldo_template_args = get_query_var( 'aldo_template_args' );
if ( is_array( $aldo_template_args ) ) {
	$aldo_columns    = empty( $aldo_template_args['columns'] ) ? 2 : max( 1, $aldo_template_args['columns'] );
	$aldo_blog_style = array( $aldo_template_args['type'], $aldo_columns );
} else {
	$aldo_blog_style = explode( '_', aldo_get_theme_option( 'blog_style' ) );
	$aldo_columns    = empty( $aldo_blog_style[1] ) ? 2 : max( 1, $aldo_blog_style[1] );
}
$aldo_blog_id       = aldo_get_custom_blog_id( join( '_', $aldo_blog_style ) );
$aldo_blog_style[0] = str_replace( 'blog-custom-', '', $aldo_blog_style[0] );
$aldo_expanded      = ! aldo_sidebar_present() && aldo_is_on( aldo_get_theme_option( 'expand_content' ) );
$aldo_animation     = aldo_get_theme_option( 'blog_animation' );
$aldo_components    = aldo_array_get_keys_by_value( aldo_get_theme_option( 'meta_parts' ) );
$aldo_counters      = aldo_array_get_keys_by_value( aldo_get_theme_option( 'counters' ) );

$aldo_post_format   = get_post_format();
$aldo_post_format   = empty( $aldo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $aldo_post_format );

$aldo_blog_meta     = aldo_get_custom_layout_meta( $aldo_blog_id );
$aldo_custom_style  = ! empty( $aldo_blog_meta['scripts_required'] ) ? $aldo_blog_meta['scripts_required'] : 'none';

if ( ! empty( $aldo_template_args['slider'] ) || $aldo_columns > 1 || ! aldo_is_off( $aldo_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $aldo_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo ( aldo_is_off( $aldo_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $aldo_custom_style ) ) . '-1_' . esc_attr( $aldo_columns );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" 
<?php
	post_class(
			'post_item post_format_' . esc_attr( $aldo_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $aldo_columns )
					. ' post_layout_' . esc_attr( $aldo_blog_style[0] )
					. ' post_layout_' . esc_attr( $aldo_blog_style[0] ) . '_' . esc_attr( $aldo_columns )
					. ( ! aldo_is_off( $aldo_custom_style )
						? ' post_layout_' . esc_attr( $aldo_custom_style )
							. ' post_layout_' . esc_attr( $aldo_custom_style ) . '_' . esc_attr( $aldo_columns )
						: ''
						)
		);
	echo ( ! aldo_is_off( $aldo_animation ) && empty( $aldo_template_args['slider'] ) ? ' data-animation="' . esc_attr( aldo_get_animation_classes( $aldo_animation ) ) . '"' : '' );
?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom header's layout
	do_action( 'aldo_action_show_layout', $aldo_blog_id );
	?>
</article><?php
if ( ! empty( $aldo_template_args['slider'] ) || $aldo_columns > 1 || ! aldo_is_off( $aldo_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
