<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

$aldo_template_args = get_query_var( 'aldo_template_args' );
if ( is_array( $aldo_template_args ) ) {
	$aldo_columns    = empty( $aldo_template_args['columns'] ) ? 2 : max( 1, $aldo_template_args['columns'] );
	$aldo_blog_style = array( $aldo_template_args['type'], $aldo_columns );
} else {
	$aldo_blog_style = explode( '_', aldo_get_theme_option( 'blog_style' ) );
	$aldo_columns    = empty( $aldo_blog_style[1] ) ? 2 : max( 1, $aldo_blog_style[1] );
}
$aldo_post_format = get_post_format();
$aldo_post_format = empty( $aldo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $aldo_post_format );
$aldo_animation   = aldo_get_theme_option( 'blog_animation' );
$aldo_image       = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );

?><div class="
<?php
if ( ! empty( $aldo_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $aldo_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $aldo_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $aldo_columns )
		. ' post_layout_gallery'
		. ' post_layout_gallery_' . esc_attr( $aldo_columns )
	);
	echo ( ! aldo_is_off( $aldo_animation ) && empty( $aldo_template_args['slider'] ) ? ' data-animation="' . esc_attr( aldo_get_animation_classes( $aldo_animation ) ) . '"' : '' );
	?>
	data-size="
		<?php
		if ( ! empty( $aldo_image[1] ) && ! empty( $aldo_image[2] ) ) {
			echo intval( $aldo_image[1] ) . 'x' . intval( $aldo_image[2] );}
		?>
	"
	data-src="
		<?php
		if ( ! empty( $aldo_image[0] ) ) {
			echo esc_url( $aldo_image[0] );}
		?>
	"
>
<?php

	// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	// Featured image
	$aldo_image_hover = 'icon';  // !empty($aldo_template_args['hover']) && !aldo_is_inherit($aldo_template_args['hover']) ? $aldo_template_args['hover'] : aldo_get_theme_option('image_hover');
if ( in_array( $aldo_image_hover, array( 'icons', 'zoom' ) ) ) {
	$aldo_image_hover = 'dots';
}
$aldo_components = aldo_array_get_keys_by_value( aldo_get_theme_option( 'meta_parts' ) );
$aldo_counters   = aldo_array_get_keys_by_value( aldo_get_theme_option( 'counters' ) );
aldo_show_post_featured(
	array(
		'hover'         => $aldo_image_hover,
		'singular'      => false,
		'no_links'      => ! empty( $aldo_template_args['no_links'] ),
		'thumb_size'    => aldo_get_thumb_size( strpos( aldo_get_theme_option( 'body_style' ), 'full' ) !== false || $aldo_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only'    => true,
		'show_no_image' => true,
		'post_info'     => '<div class="post_details">'
						. '<h2 class="post_title">'
							. ( empty( $aldo_template_args['no_links'] )
								? '<a href="' . esc_url( get_permalink() ) . '">' . esc_html( get_the_title() ) . '</a>'
								: esc_html( get_the_title() )
								)
						. '</h2>'
						. '<div class="post_description">'
							. ( ! empty( $aldo_components )
								? aldo_show_post_meta(
									apply_filters(
										'aldo_filter_post_meta_args', array(
											'components' => $aldo_components,
											'counters' => $aldo_counters,
											'seo'      => false,
											'echo'     => false,
										), $aldo_blog_style[0], $aldo_columns
									)
								)
								: ''
								)
							. ( empty( $aldo_template_args['hide_excerpt'] )
								? '<div class="post_description_content">' . get_the_excerpt() . '</div>'
								: ''
								)
							. ( empty( $aldo_template_args['no_links'] )
								? '<a href="' . esc_url( get_permalink() ) . '" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__( 'Learn more', 'aldo' ) . '</span></a>'
								: ''
								)
						. '</div>'
					. '</div>',
	)
);
?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!
