<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

$aldo_template_args = get_query_var( 'aldo_template_args' );
if ( is_array( $aldo_template_args ) ) {
	$aldo_columns    = empty( $aldo_template_args['columns'] ) ? 2 : max( 1, $aldo_template_args['columns'] );
	$aldo_blog_style = array( $aldo_template_args['type'], $aldo_columns );
} else {
	$aldo_blog_style = explode( '_', aldo_get_theme_option( 'blog_style' ) );
	$aldo_columns    = empty( $aldo_blog_style[1] ) ? 2 : max( 1, $aldo_blog_style[1] );
}
$aldo_post_format = get_post_format();
$aldo_post_format = empty( $aldo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $aldo_post_format );
$aldo_animation   = aldo_get_theme_option( 'blog_animation' );

?><div class="
<?php
if ( ! empty( $aldo_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $aldo_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $aldo_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $aldo_columns )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	echo ( ! aldo_is_off( $aldo_animation ) && empty( $aldo_template_args['slider'] ) ? ' data-animation="' . esc_attr( aldo_get_animation_classes( $aldo_animation ) ) . '"' : '' );
	?>
>
<?php

// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$aldo_image_hover = ! empty( $aldo_template_args['hover'] ) && ! aldo_is_inherit( $aldo_template_args['hover'] )
								? $aldo_template_args['hover']
								: aldo_get_theme_option( 'image_hover' );
	// Featured image
	aldo_show_post_featured(
		array(
			'singular'      => false,
			'hover'         => $aldo_image_hover,
			'no_links'      => ! empty( $aldo_template_args['no_links'] ),
			'thumb_size'    => aldo_get_thumb_size(
				strpos( aldo_get_theme_option( 'body_style' ), 'full' ) !== false || $aldo_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'dots' == $aldo_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $aldo_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!