<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js
									<?php
										// Class scheme_xxx need in the <html> as context for the <body>!
										echo ' scheme_' . esc_attr( aldo_get_theme_option( 'color_scheme' ) );
									?>
										">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>

	<?php do_action( 'aldo_action_before_body' ); ?>

	<div class="body_wrap">

		<div class="page_wrap">
			<?php
			// Desktop header
			$aldo_header_type = aldo_get_theme_option( 'header_type' );
			if ( 'custom' == $aldo_header_type && ! aldo_is_layouts_available() ) {
				$aldo_header_type = 'custom';
			}
			get_template_part( apply_filters( 'aldo_filter_get_template_part', "templates/header-{$aldo_header_type}" ) );

			// Side menu
			if ( in_array( aldo_get_theme_option( 'menu_style' ), array( 'left', 'right' ) ) ) {
				get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-navi-side' ) );
			}

			// Mobile menu
			get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-navi-mobile' ) );
			
			// Single posts banner after header
			aldo_show_post_banner( 'header' );
			?>

			<div class="page_content_wrap">
				<?php
				// Single posts banner on the background
				if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {

					aldo_show_post_banner( 'background' );

					$aldo_post_thumbnail_type  = aldo_get_theme_option( 'post_thumbnail_type' );
					$aldo_post_header_position = aldo_get_theme_option( 'post_header_position' );
					$aldo_post_header_align    = aldo_get_theme_option( 'post_header_align' );

					// Boxed post thumbnail
					if ( in_array( $aldo_post_thumbnail_type, array( 'boxed', 'fullwidth') ) ) {
						ob_start();
						?>
						<div class="header_content_wrap header_align_<?php echo esc_attr( $aldo_post_header_align ); ?>">
							<?php
							if ( 'boxed' === $aldo_post_thumbnail_type ) {
								?>
								<div class="content_wrap">
								<?php
							}

							// Post title and meta
							if ( 'above' === $aldo_post_header_position ) {
								aldo_show_post_title_and_meta();
							}

							// Featured image
							aldo_show_post_featured_image();

							// Post title and meta
							if ( in_array( $aldo_post_header_position, array( 'under', 'on_thumb' ) ) ) {
								aldo_show_post_title_and_meta();
							}

							if ( 'boxed' === $aldo_post_thumbnail_type ) {
								?>
								</div>
								<?php
							}
							?>
						</div>
						<?php
						$aldo_post_header = ob_get_contents();
						ob_end_clean();
						if ( strpos( $aldo_post_header, 'post_featured' ) !== false || strpos( $aldo_post_header, 'post_title' ) !== false ) {
							aldo_show_layout( $aldo_post_header );
						}
					}
				}

				if ( 'fullscreen' != aldo_get_theme_option( 'body_style' ) ) {
					?>
					<div class="content_wrap">
						<?php
				}

				// Widgets area above page content
				aldo_create_widgets_area( 'widgets_above_page' );
				?>

				<div class="content">
					<?php
					// Widgets area inside page content
					aldo_create_widgets_area( 'widgets_above_content' );