<?php
/**
 * The template for homepage posts with "Chess" style
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

aldo_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	aldo_blog_archive_start();

	$aldo_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$aldo_sticky_out = aldo_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $aldo_stickies ) && count( $aldo_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $aldo_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $aldo_sticky_out ) {
		?>
		<div class="chess_wrap posts_container">
		<?php
	}
	
	while ( have_posts() ) {
		the_post();
		if ( $aldo_sticky_out && ! is_sticky() ) {
			$aldo_sticky_out = false;
			?>
			</div><div class="chess_wrap posts_container">
			<?php
		}
		$aldo_part = $aldo_sticky_out && is_sticky() ? 'sticky' : 'chess';
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', $aldo_part ), $aldo_part );
	}
	?>
	</div>
	<?php

	aldo_show_pagination();

	aldo_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
