<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

aldo_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	aldo_blog_archive_start();

	$aldo_classes    = 'posts_container '
						. ( substr( aldo_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic'
							? 'columns_wrap columns_padding_bottom'
							: 'masonry_wrap'
							);

		if ( (substr( aldo_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic')
            && ! is_paged()
        ) {
			the_post();
			get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'first' ), 'first' );
		}

		?>
		<div class="<?php echo esc_attr( $aldo_classes ); ?>">
		<?php

	while ( have_posts() ) {
		the_post();
		$aldo_part = 'classic';
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', $aldo_part ), $aldo_part );
	}

	?>
	</div>
	<?php

	aldo_show_pagination();

	aldo_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();