<?php
/**
 * The template for homepage posts with custom style
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.50
 */

aldo_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	$aldo_blog_style = aldo_get_theme_option( 'blog_style' );
	$aldo_parts      = explode( '_', $aldo_blog_style );
	$aldo_columns    = ! empty( $aldo_parts[1] ) ? max( 1, min( 6, (int) $aldo_parts[1] ) ) : 1;
	$aldo_blog_id    = aldo_get_custom_blog_id( $aldo_blog_style );
	$aldo_blog_meta  = aldo_get_custom_layout_meta( $aldo_blog_id );
	if ( ! empty( $aldo_blog_meta['margin'] ) ) {
		aldo_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( aldo_prepare_css_value( $aldo_blog_meta['margin'] ) ) ) );
	}
	$aldo_custom_style = ! empty( $aldo_blog_meta['scripts_required'] ) ? $aldo_blog_meta['scripts_required'] : 'none';

	aldo_blog_archive_start();

	$aldo_classes    = 'posts_container blog_custom_wrap' 
							. ( ! aldo_is_off( $aldo_custom_style )
								? sprintf( ' %s_wrap', $aldo_custom_style )
								: ( $aldo_columns > 1 
									? ' columns_wrap columns_padding_bottom' 
									: ''
									)
								);
	$aldo_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$aldo_sticky_out = aldo_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $aldo_stickies ) && count( $aldo_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $aldo_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $aldo_sticky_out ) {
		if ( aldo_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( aldo_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}
		?>
		<div class="<?php echo esc_attr( $aldo_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $aldo_sticky_out && ! is_sticky() ) {
			$aldo_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $aldo_classes ); ?>">
			<?php
		}
		$aldo_part = $aldo_sticky_out && is_sticky() ? 'sticky' : 'custom';
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', $aldo_part ), $aldo_part );
	}
	?>
	</div>
	<?php

	aldo_show_pagination();

	aldo_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
