<?php
/**
 * The template for homepage posts with "Plain" style
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

aldo_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	aldo_blog_archive_start();

	?><div class="posts_container">
		<?php

        $aldo_widgets_blog_page = aldo_get_theme_option( 'widgets_blog_page' );
        $aldo_show_widgets = ! aldo_is_off( $aldo_widgets_blog_page ) && is_active_sidebar( $aldo_widgets_blog_page );

		while ( have_posts() ) {
			the_post();
			$aldo_part = 'plain';
			get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', $aldo_part ), $aldo_part );
		}

		?>
	</div>
	<?php

	aldo_show_pagination();

	aldo_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();