<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'aldo_mailchimp_get_css' ) ) {
	add_filter( 'aldo_filter_get_css', 'aldo_mailchimp_get_css', 10, 2 );
	function aldo_mailchimp_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
form.mc4wp-form .mc4wp-form-fields input[type="email"] {
	{$fonts['input_font-family']}
	{$fonts['input_font-size']}
	{$fonts['input_font-weight']}
	{$fonts['input_font-style']}
	{$fonts['input_line-height']}
	{$fonts['input_text-decoration']}
	{$fonts['input_text-transform']}
	{$fonts['input_letter-spacing']}
}
form.mc4wp-form .mc4wp-form-fields input[type="submit"] {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars = $args['vars'];

			$css['vars'] .= <<<CSS

form.mc4wp-form .mc4wp-form-fields input[type="email"],
form.mc4wp-form .mc4wp-form-fields input[type="submit"] {
	-webkit-border-radius: {$vars['rad']};
	    -ms-border-radius: {$vars['rad']};
			border-radius: {$vars['rad']};
}

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

form.mc4wp-form .mc4wp-alert {
	border-color: {$colors['bd_color']};
	color: {$colors['text']};
}
form.mc4wp-form .mc4wp-alert a {
	color: {$colors['text_link']} !important;	
}
form.mc4wp-form .mc4wp-alert a:hover {
	color: {$colors['text_hover']} !important;	
}

.menu_mobile form.mc4wp-form .mc4wp-alert {
	border-color: {$colors['text_hover']};
	color: {$colors['inverse_text']};
}
.menu_mobile form.mc4wp-form .mc4wp-alert a {
	color: {$colors['inverse_link']} !important;	
}
.menu_mobile form.mc4wp-form .mc4wp-alert a:hover {
	color: {$colors['inverse_hover']} !important;	
}


form.mc4wp-form .mc4wp-form-fields input[type="email"] {
    border-color: {$colors['text_link3']};
    background-color: {$colors['bg_color']};
}



form.mc4wp-form .mc4wp-form-fields input[type="submit"] {
    background-color: {$colors['text_link3']};
    color: {$colors['bg_color']};
}
form.mc4wp-form .mc4wp-form-fields input[type="submit"]:focus,
form.mc4wp-form .mc4wp-form-fields input[type="submit"]:hover {
    background-color: {$colors['text_hover3']};
    color: {$colors['bg_color']};
}

.menu_mobile_inner form.mc4wp-form .mc4wp-alert {
    border-color: {$colors['text_dark_02']};
}
.menu_mobile_inner form.mc4wp-form .mc4wp-alert a {
    color: {$colors['text_link']} !important;
}
.menu_mobile_inner form.mc4wp-form .mc4wp-alert a:hover {
    color: {$colors['text_hover']} !important;
}

.menu_mobile_inner form.mc4wp-form a {
    color: {$colors['text_link']};
}
.menu_mobile_inner form.mc4wp-form a:hover {
    color: {$colors['text_dark']};
}


CSS;
		}

		return $css;
	}
}

