<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

if ( aldo_sidebar_present() ) {
	ob_start();
	$aldo_sidebar_name = aldo_get_theme_option( 'sidebar_widgets' . ( is_single() ? '_single' : '' ) );
	aldo_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $aldo_sidebar_name ) ) {
		dynamic_sidebar( $aldo_sidebar_name );
	}
	$aldo_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $aldo_out ) ) {
		$aldo_sidebar_position = aldo_get_theme_option( 'sidebar_position' . ( is_single() ? '_single' : '' ) );
		$aldo_sidebar_mobile   = aldo_get_theme_option( 'sidebar_position_mobile' . ( is_single() ? '_single' : '' ) );
		?>
		<div class="sidebar widget_area
			<?php
			echo ' ' . esc_attr( $aldo_sidebar_position );
			echo ' sidebar_' . esc_attr( $aldo_sidebar_mobile );

			if ( 'above' == $aldo_sidebar_mobile ) {
			} else if ( 'float' == $aldo_sidebar_mobile ) {
				echo ' sidebar_float';
			}
			if ( ! aldo_is_inherit( aldo_get_theme_option( 'sidebar_scheme' ) ) ) {
				echo ' scheme_' . esc_attr( aldo_get_theme_option( 'sidebar_scheme' ) );
			}
			?>
		" role="complementary">
			<?php
			// Single posts banner before sidebar
			aldo_show_post_banner( 'sidebar' );
			// Button to show/hide sidebar on mobile
			if ( in_array( $aldo_sidebar_mobile, array( 'above', 'float' ) ) ) {
				$aldo_title = apply_filters( 'aldo_filter_sidebar_control_title', 'float' == $aldo_sidebar_mobile ? __( 'Show Sidebar', 'aldo' ) : '' );
				$aldo_text  = apply_filters( 'aldo_filter_sidebar_control_text', 'above' == $aldo_sidebar_mobile ? __( 'Show Sidebar', 'aldo' ) : '' );
				?>
				<a href="#" class="sidebar_control" title="<?php echo esc_html( $aldo_title ); ?>"><?php echo esc_html( $aldo_text ); ?></a>
				<?php
			}
			?>
			<div class="sidebar_inner">
				<?php
				do_action( 'aldo_action_before_sidebar' );
				aldo_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $aldo_out ) );
				do_action( 'aldo_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
