<?php
/**
 * The template to display single post
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

get_header();

while ( have_posts() ) {
	the_post();

	get_template_part( apply_filters( 'aldo_filter_get_template_part', 'content', get_post_format() ), get_post_format() );

	// Previous/next post navigation.
	$aldo_show_posts_navigation = ! aldo_is_off( aldo_get_theme_option( 'show_posts_navigation' ) );
	$aldo_fixed_posts_navigation = ! aldo_is_off( aldo_get_theme_option( 'fixed_posts_navigation' ) ) ? 'nav-links-fixed fixed' : '';
	if ( $aldo_show_posts_navigation ) {
		?>
		<div class="nav-links-single<?php echo ' ' . esc_attr( $aldo_fixed_posts_navigation ); ?>">
			<?php
			the_post_navigation(
				array(
					'next_text' => '<span class="nav-arrow"></span>'
						. '<span class="screen-reader-text">' . esc_html__( 'Next post:', 'aldo' ) . '</span> '
						. '<h6 class="post-title">%title</h6>'
						. '<span class="post_date">%date</span>',
					'prev_text' => '<span class="nav-arrow"></span>'
						. '<span class="screen-reader-text">' . esc_html__( 'Previous post:', 'aldo' ) . '</span> '
						. '<h6 class="post-title">%title</h6>'
						. '<span class="post_date">%date</span>',
				)
			);
			?>
		</div>
		<?php
	}

	// Related posts
	if ( aldo_get_theme_option( 'related_position' ) == 'below_content' ) {
		do_action( 'aldo_action_related_posts' );
	}

    // Author bio
    if ( aldo_get_theme_option( 'show_author_info' ) == 1 && is_single() && ! is_attachment() && get_the_author_meta( 'description' ) ) { // && is_multi_author()
        do_action( 'aldo_action_before_post_author' );
        get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/author-bio' ) );
        do_action( 'aldo_action_after_post_author' );
    }

	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

get_footer();
