<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.1
 */

$aldo_theme_obj = wp_get_theme();
?>
<div class="aldo_admin_notice aldo_welcome_notice update-nag">
	<?php
	// Theme image
	$aldo_theme_img = aldo_get_file_url( 'screenshot.jpg' );
	if ( '' != $aldo_theme_img ) {
		?>
		<div class="aldo_notice_image"><img src="<?php echo esc_url( $aldo_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'aldo' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="aldo_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				__( 'Welcome to %1$s v.%2$s', 'aldo' ),
				$aldo_theme_obj->name . ( ALDO_THEME_FREE ? ' ' . __( 'Free', 'aldo' ) : '' ),
				$aldo_theme_obj->version
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="aldo_notice_text">
		<p class="aldo_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $aldo_theme_obj->description ) );
			?>
		</p>
		<p class="aldo_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'aldo' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="aldo_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=aldo_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'aldo' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" class="aldo_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="aldo_hide_notice_text"><?php esc_html_e( 'Dismiss', 'aldo' ); ?></span></a>
	</div>
</div>
