<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope itemtype="http://schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php
		$aldo_mult = aldo_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 220 * $aldo_mult );
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
        <span class="author_by"><?php esc_html_e('Written By','aldo'); ?></span>
		<h5 class="author_title" itemprop="name">
		<?php
            aldo_show_layout(get_the_author());
		?>
		</h5>

		<div class="author_bio" itemprop="description">
			<?php echo wp_kses_post( wpautop( get_the_author_meta( 'description' ) ) ); ?>
			<a class="author_link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
													<?php
													// Translators: Add the author's name in the <span>
													printf( esc_html__( 'View all posts', 'aldo' ), '<span class="author_name">' . esc_html( get_the_author() ) . '</span>' );
													?>
			</a>
			<?php do_action( 'aldo_action_user_meta' ); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
