<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.10
 */

$aldo_footer_id = aldo_get_custom_footer_id();
$aldo_footer_meta = get_post_meta( $aldo_footer_id, 'trx_addons_options', true );
if ( ! empty( $aldo_footer_meta['margin'] ) ) {
	aldo_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( aldo_prepare_css_value( $aldo_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $aldo_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $aldo_footer_id ) ) ); ?>
						<?php
						if ( ! aldo_is_inherit( aldo_get_theme_option( 'footer_scheme' ) ) ) {
							echo ' scheme_' . esc_attr( aldo_get_theme_option( 'footer_scheme' ) );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'aldo_action_show_layout', $aldo_footer_id );
	?>
</footer><!-- /.footer_wrap -->
