<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.10
 */

// Logo
if ( aldo_is_on( aldo_get_theme_option( 'logo_in_footer' ) ) ) {
	$aldo_logo_image = aldo_get_logo_image( 'footer' );
	$aldo_logo_text  = get_bloginfo( 'name' );
	if ( ! empty( $aldo_logo_image ) || ! empty( $aldo_logo_text ) ) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if ( ! empty( $aldo_logo_image ) ) {
					$aldo_attr = aldo_getimagesize( $aldo_logo_image );
					echo '<a href="' . esc_url( home_url( '/' ) ) . '">'
							. '<img src="' . esc_url( $aldo_logo_image ) . '"'
								. ' class="logo_footer_image"'
								. ' alt="' . esc_attr__( 'Site logo', 'aldo' ) . '"'
								. ( ! empty( $aldo_attr[3] ) ? ' ' . wp_kses_data( $aldo_attr[3] ) : '' )
							. '>'
						. '</a>';
				} elseif ( ! empty( $aldo_logo_text ) ) {
					echo '<h1 class="logo_footer_text">'
							. '<a href="' . esc_url( home_url( '/' ) ) . '">'
								. esc_html( $aldo_logo_text )
							. '</a>'
						. '</h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
