<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.10
 */

// Footer sidebar
$aldo_footer_name    = aldo_get_theme_option( 'footer_widgets' );
$aldo_footer_present = ! aldo_is_off( $aldo_footer_name ) && is_active_sidebar( $aldo_footer_name );
if ( $aldo_footer_present ) {
	aldo_storage_set( 'current_sidebar', 'footer' );
	$aldo_footer_wide = aldo_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $aldo_footer_name ) ) {
		dynamic_sidebar( $aldo_footer_name );
	}
	$aldo_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $aldo_out ) ) {
		$aldo_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $aldo_out );
		$aldo_need_columns = true;   //or check: strpos($aldo_out, 'columns_wrap')===false;
		if ( $aldo_need_columns ) {
			$aldo_columns = max( 0, (int) aldo_get_theme_option( 'footer_columns' ) );
			if ( 0 == $aldo_columns ) {
				$aldo_columns = min( 4, max( 1, aldo_tags_count( $aldo_out, '<aside ' ) ) );
			}
			if ( $aldo_columns > 1 ) {
				$aldo_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $aldo_columns ) . ' widget', $aldo_out );
			} else {
				$aldo_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $aldo_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $aldo_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $aldo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'aldo_action_before_sidebar' );
				aldo_show_layout( $aldo_out );
				do_action( 'aldo_action_after_sidebar' );
				if ( $aldo_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $aldo_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
