<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.06
 */

$aldo_header_css   = '';
$aldo_header_image = get_header_image();
$aldo_header_video = aldo_get_header_video();
if ( ! empty( $aldo_header_image ) && aldo_trx_addons_featured_image_override( is_singular() || aldo_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$aldo_header_image = aldo_get_current_mode_image( $aldo_header_image );
}

$aldo_header_id = aldo_get_custom_header_id();
$aldo_header_meta = get_post_meta( $aldo_header_id, 'trx_addons_options', true );
if ( ! empty( $aldo_header_meta['margin'] ) ) {
	aldo_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( aldo_prepare_css_value( $aldo_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $aldo_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $aldo_header_id ) ) ); ?>
				<?php
				echo ! empty( $aldo_header_image ) || ! empty( $aldo_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $aldo_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $aldo_header_image ) {
					echo ' ' . esc_attr( aldo_add_inline_css_class( 'background-image: url(' . esc_url( $aldo_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( aldo_is_on( aldo_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight aldo-full-height';
				}
				if ( ! aldo_is_inherit( aldo_get_theme_option( 'header_scheme' ) ) ) {
					echo ' scheme_' . esc_attr( aldo_get_theme_option( 'header_scheme' ) );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $aldo_header_video ) ) {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'aldo_action_show_layout', $aldo_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
