<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

$aldo_header_css   = '';
$aldo_header_image = get_header_image();
$aldo_header_video = aldo_get_header_video();
if ( ! empty( $aldo_header_image ) && aldo_trx_addons_featured_image_override( is_singular() || aldo_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$aldo_header_image = aldo_get_current_mode_image( $aldo_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $aldo_header_image ) || ! empty( $aldo_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $aldo_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $aldo_header_image ) {
		echo ' ' . esc_attr( aldo_add_inline_css_class( 'background-image: url(' . esc_url( $aldo_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( aldo_is_on( aldo_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight aldo-full-height';
	}
	if ( ! aldo_is_inherit( aldo_get_theme_option( 'header_scheme' ) ) ) {
		echo ' scheme_' . esc_attr( aldo_get_theme_option( 'header_scheme' ) );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $aldo_header_video ) ) {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	if ( aldo_get_theme_option( 'menu_style' ) == 'top' ) {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-navi' ) );
	}

	// Mobile header
	if ( aldo_is_on( aldo_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-mobile' ) );
	}


	// Display featured image in the header on the single posts
	// Comment next line to prevent show featured image in the header area
	// and display it in the post's content
	//get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-single' ) );

	?>
</header>
<?php
// Page title and breadcrumbs area
$aldo_post_header_position = aldo_get_theme_option( 'post_header_position' );
if ( !is_single()){
    get_template_part(apply_filters('aldo_filter_get_template_part', 'templates/header-title'));
} else if( in_array( $aldo_post_header_position, array( 'default') )) {
    get_template_part(apply_filters('aldo_filter_get_template_part', 'templates/header-title'));
}

// Header widgets area
get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-widgets' ) );
?>