<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

$aldo_args = get_query_var( 'aldo_logo_args' );

// Site logo
$aldo_logo_type   = isset( $aldo_args['type'] ) ? $aldo_args['type'] : '';
$aldo_logo_image  = aldo_get_logo_image( $aldo_logo_type );
$aldo_logo_text   = aldo_is_on( aldo_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$aldo_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $aldo_logo_image ) || ! empty( $aldo_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $aldo_logo_image ) ) {
			if ( empty( $aldo_logo_type ) && function_exists( 'the_custom_logo' ) && (int) $aldo_logo_image > 0 ) {
				the_custom_logo();
			} else {
				$aldo_attr = aldo_getimagesize( $aldo_logo_image );
				echo '<img src="' . esc_url( $aldo_logo_image ) . '" alt="' . esc_attr( $aldo_logo_text ) . '"' . ( ! empty( $aldo_attr[3] ) ? ' ' . wp_kses_data( $aldo_attr[3] ) : '' ) . '>';
			}
		} else {
			aldo_show_layout( aldo_prepare_macros( $aldo_logo_text ), '<span class="logo_text">', '</span>' );
			aldo_show_layout( aldo_prepare_macros( $aldo_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
