<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

// Page (category, tag, archive, author) title

if ( aldo_need_page_title() ) {
	aldo_sc_layouts_showed( 'title', true );
	aldo_sc_layouts_showed( 'postmeta', true );

    $aldo_components = aldo_array_get_keys_by_value( aldo_get_theme_option( 'meta_parts' ) );
    $aldo_counters   = aldo_array_get_keys_by_value( aldo_get_theme_option( 'counters' ) );
    $cats = '';
	?>
	<div class="top_panel_title">
		<div class="content_wrap">
            <?php
            if ( !aldo_sidebar_present() ) {
                if ( aldo_is_off( aldo_get_theme_option( 'expand_content' ) ) ) { ?>
                    <div class="content">
                <?php }
            }
            ?>
			<div class="sc_layouts_column sc_layouts_column_align_<?php echo esc_attr(is_single() ? 'left': 'center'); ?>">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_<?php echo esc_attr(is_single() ? 'left': 'center'); ?>">
						<?php

						// Post meta on the single post
						if ( is_single() ) {
                            // Post meta first
                            $categories = 'categories';
                            $pos = strpos($aldo_components, $categories);
                            if ( $pos !==false ) {
                                $cats = get_post_type()=='post' ? get_the_category_list(', ') : apply_filters('aldo_filter_get_post_categories', '');
                                if (!empty($cats)) {
                                    ?>
                                    <div class="sc_layouts_title_meta cat">
                                        <span class="post_categories_style"><?php aldo_show_layout($cats); ?></span>
                                    </div>
                                    <?php
                                }
                            }
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$aldo_blog_title           = aldo_get_blog_title();
							$aldo_blog_title_text      = '';
							$aldo_blog_title_class     = '';
							$aldo_blog_title_link      = '';
							$aldo_blog_title_link_text = '';
							if ( is_array( $aldo_blog_title ) ) {
								$aldo_blog_title_text      = $aldo_blog_title['text'];
								$aldo_blog_title_class     = ! empty( $aldo_blog_title['class'] ) ? ' ' . $aldo_blog_title['class'] : '';
								$aldo_blog_title_link      = ! empty( $aldo_blog_title['link'] ) ? $aldo_blog_title['link'] : '';
								$aldo_blog_title_link_text = ! empty( $aldo_blog_title['link_text'] ) ? $aldo_blog_title['link_text'] : '';
							} else {
								$aldo_blog_title_text = $aldo_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $aldo_blog_title_class ); ?>">
								<?php
								$aldo_top_icon = aldo_get_term_image_small();
								if ( ! empty( $aldo_top_icon ) ) {
									$aldo_attr = aldo_getimagesize( $aldo_top_icon );
									?>
									<img src="<?php echo esc_url( $aldo_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'aldo' ); ?>"
										<?php
										if ( ! empty( $aldo_attr[3] ) ) {
											aldo_show_layout( $aldo_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses_data( $aldo_blog_title_text );
								?>
							</h1>
							<?php
							if ( ! empty( $aldo_blog_title_link ) && ! empty( $aldo_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $aldo_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $aldo_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php

                        // Post meta on the single post
                        if ( is_single() ) {
                            ?>
                            <div class="sc_layouts_title_meta">
                                <?php
                                $vowels = array(",categories", "categories,", "categories");
                                $aldo_components = str_replace($vowels, "", $aldo_components);
                                aldo_show_post_meta(
                                    apply_filters(
                                        'aldo_filter_post_meta_args', array(
                                        'components' => $aldo_components,
                                        'counters'   => $aldo_counters,
                                        'seo'        => aldo_is_on( aldo_get_theme_option( 'seo_snippets' ) ),
                                    ), 'header', 1
                                    )
                                );
                                ?>
                            </div>
                            <?php
                        }

						// Breadcrumbs
                        if(is_single()) {
                            if(aldo_is_on( aldo_get_theme_option( 'header_breadcrumbs_post' ) )) {
                                ?>
                                <div class="sc_layouts_title_breadcrumbs">
                                    <?php
                                    do_action('aldo_action_breadcrumbs');
                                    ?>
                                </div>
                                <?php
                            }
                        } else {
                            ?>
                            <div class="sc_layouts_title_breadcrumbs">
                                <?php
                                do_action('aldo_action_breadcrumbs');
                                ?>
                            </div>
                            <?php
                        }
                        ?>
					</div>
				</div>
			</div>
            <?php
            if ( !aldo_sidebar_present() ) {
            if ( aldo_is_off( aldo_get_theme_option( 'expand_content' ) ) ) { ?>
                </div>
            <?php }
            }
            ?>
		</div>
	</div>
	<?php
}
?>