<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

// Header sidebar
$aldo_header_name    = aldo_get_theme_option( 'header_widgets' );
$aldo_header_present = ! aldo_is_off( $aldo_header_name ) && is_active_sidebar( $aldo_header_name );
if ( $aldo_header_present ) {
	aldo_storage_set( 'current_sidebar', 'header' );
	$aldo_header_wide = aldo_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $aldo_header_name ) ) {
		dynamic_sidebar( $aldo_header_name );
	}
	$aldo_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $aldo_widgets_output ) ) {
		$aldo_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $aldo_widgets_output );
		$aldo_need_columns   = strpos( $aldo_widgets_output, 'columns_wrap' ) === false;

		if ( $aldo_need_columns ) {
			$aldo_columns = max( 0, (int) aldo_get_theme_option( 'header_columns' ) );
			if ( 0 == $aldo_columns ) {
				$aldo_columns = min( 6, max( 1, aldo_tags_count( $aldo_widgets_output, '<aside ' ) ) );
			}
			if ( $aldo_columns > 1 ) {
				$aldo_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $aldo_columns ) . ' widget', $aldo_widgets_output );
			} else {
				$aldo_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $aldo_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $aldo_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $aldo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'aldo_action_before_sidebar' );
				aldo_show_layout( $aldo_widgets_output );
				do_action( 'aldo_action_after_sidebar' );
				if ( $aldo_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $aldo_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
