<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

$aldo_link        = get_permalink();
$aldo_post_format = get_post_format();
$aldo_post_format = empty( $aldo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $aldo_post_format );
?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_2 post_format_' . esc_attr( $aldo_post_format ) ); ?>>
						<?php
						aldo_show_post_featured(
							array(
								'thumb_size'    => apply_filters( 'aldo_filter_related_thumb_size', aldo_get_thumb_size( (int) aldo_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'height' ) ),
								'show_no_image' => aldo_get_theme_setting( 'allow_no_image' ),
								'singular'      => false,
                                'thumb_ratio'   => '480:600',
                                'simple_show'   => true
							)
						);
						?>
	<div class="post_header entry-header">

        <?php
        if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
            $cats = get_post_type()=='post' ? get_the_category_list(', ') : apply_filters('aldo_filter_get_post_categories', '');
            if (!empty($cats)) {
            ?>
            <span class="post_categories_style"><?php aldo_show_layout($cats); ?></span>
            <?php
            }
        }
        ?>

		<h6 class="post_title entry-title"><a href="<?php echo esc_url( $aldo_link ); ?>"><?php the_title(); ?></a></h6>

        <?php
        if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
            ?>
            <span class="post_date"><a href="<?php echo esc_url( $aldo_link ); ?>"><?php echo wp_kses_data( aldo_get_date() ); ?></a></span>
            <?php
        }
        ?>

	</div>
</div>